Skip to content
Permalink
Browse files

Upgrade: Dependencies and devDependencies

  • Loading branch information...
molant committed Feb 7, 2019
1 parent 5a8350c commit 32f210c65f32ea6b026601b55f39e94ea40c2827
Showing with 167 additions and 167 deletions.
  1. +1 βˆ’1 packages/configuration-development/package.json
  2. +1 βˆ’1 packages/configuration-progressive-web-apps/package.json
  3. +1 βˆ’1 packages/configuration-web-recommended/package.json
  4. +2 βˆ’2 packages/connector-edge/package.json
  5. +2 βˆ’2 packages/connector-local/package.json
  6. +1 βˆ’1 packages/create-hint/package.json
  7. +1 βˆ’1 packages/create-hintrc/package.json
  8. +1 βˆ’1 packages/create-parser/package.json
  9. +2 βˆ’2 packages/extension-browser/package.json
  10. +1 βˆ’1 packages/extension-vscode/package.json
  11. +2 βˆ’2 packages/formatter-codeframe/package.json
  12. +2 βˆ’2 packages/formatter-excel/package.json
  13. +2 βˆ’2 packages/formatter-html/package.json
  14. +2 βˆ’2 packages/formatter-json/package.json
  15. +2 βˆ’2 packages/formatter-stylish/package.json
  16. +2 βˆ’2 packages/formatter-summary/package.json
  17. +3 βˆ’3 packages/hint-amp-validator/package.json
  18. +3 βˆ’3 packages/hint-apple-touch-icons/package.json
  19. +3 βˆ’3 packages/hint-axe/package.json
  20. +3 βˆ’3 packages/hint-babel-config/package.json
  21. +3 βˆ’3 packages/hint-button-type/package.json
  22. +3 βˆ’3 packages/hint-compat-api/package.json
  23. +3 βˆ’3 packages/hint-content-type/package.json
  24. +3 βˆ’3 packages/hint-css-prefix-order/package.json
  25. +3 βˆ’3 packages/hint-disown-opener/package.json
  26. +3 βˆ’3 packages/hint-doctype/package.json
  27. +3 βˆ’3 packages/hint-highest-available-document-mode/package.json
  28. +3 βˆ’3 packages/hint-html-checker/package.json
  29. +3 βˆ’3 packages/hint-http-cache/package.json
  30. +3 βˆ’3 packages/hint-http-compression/package.json
  31. +3 βˆ’3 packages/hint-https-only/package.json
  32. +3 βˆ’3 packages/hint-image-optimization-cloudinary/package.json
  33. +3 βˆ’3 packages/hint-manifest-app-name/package.json
  34. +3 βˆ’3 packages/hint-manifest-exists/package.json
  35. +3 βˆ’3 packages/hint-manifest-file-extension/package.json
  36. +3 βˆ’3 packages/hint-manifest-is-valid/package.json
  37. +3 βˆ’3 packages/hint-meta-charset-utf-8/package.json
  38. +3 βˆ’3 packages/hint-meta-theme-color/package.json
  39. +3 βˆ’3 packages/hint-meta-viewport/package.json
  40. +3 βˆ’3 packages/hint-minified-js/package.json
  41. +3 βˆ’3 packages/hint-no-bom/package.json
  42. +3 βˆ’3 packages/hint-no-broken-links/package.json
  43. +3 βˆ’3 packages/hint-no-disallowed-headers/package.json
  44. +3 βˆ’3 packages/hint-no-friendly-error-pages/package.json
  45. +3 βˆ’3 packages/hint-no-html-only-headers/package.json
  46. +3 βˆ’3 packages/hint-no-http-redirects/package.json
  47. +3 βˆ’3 packages/hint-no-p3p/package.json
  48. +3 βˆ’3 packages/hint-no-protocol-relative-urls/package.json
  49. +3 βˆ’3 packages/hint-no-vulnerable-javascript-libraries/package.json
  50. +3 βˆ’3 packages/hint-performance-budget/package.json
  51. +3 βˆ’3 packages/hint-sri/package.json
  52. +3 βˆ’3 packages/hint-ssllabs/package.json
  53. +3 βˆ’3 packages/hint-strict-transport-security/package.json
  54. +3 βˆ’3 packages/hint-stylesheet-limits/package.json
  55. +3 βˆ’3 packages/hint-typescript-config/package.json
  56. +3 βˆ’3 packages/hint-validate-set-cookie-header/package.json
  57. +3 βˆ’3 packages/hint-webpack-config/package.json
  58. +3 βˆ’3 packages/hint-x-content-type-options/package.json
  59. +2 βˆ’2 packages/parser-babel-config/package.json
  60. +2 βˆ’2 packages/parser-css/package.json
  61. +2 βˆ’2 packages/parser-html/package.json
  62. +2 βˆ’2 packages/parser-javascript/package.json
  63. +2 βˆ’2 packages/parser-manifest/package.json
  64. +2 βˆ’2 packages/parser-package-json/package.json
  65. +2 βˆ’2 packages/parser-typescript-config/package.json
  66. +2 βˆ’2 packages/parser-webpack-config/package.json
@@ -41,7 +41,7 @@
"main": "index.json",
"name": "@hint/configuration-development",
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -29,7 +29,7 @@
"main": "index.json",
"name": "@hint/configuration-progressive-web-apps",
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -55,7 +55,7 @@
"main": "index.json",
"name": "@hint/configuration-web-recommended",
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -10,7 +10,7 @@
"eslint-plugin-import": "^2.14.0",
"eslint-plugin-markdown": "^1.0.0-beta.6",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-run-all": "^4.1.5",
"rimraf": "^2.6.3",
"typescript": "^3.2.2",
@@ -39,7 +39,7 @@
"win32"
],
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"private": true,
"repository": "webhintio/hint",
@@ -22,7 +22,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"lodash": "^4.17.11",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -50,7 +50,7 @@
"main": "./dist/src/connector.js",
"name": "@hint/connector-local",
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -22,7 +22,7 @@
"fork-ts-checker-webpack-plugin": "^0.5.2",
"fs-extra": "^7.0.0",
"handlebars": "^4.0.11",
"hint": "^4.3.1",
"hint": "^4.4.0",
"inquirer": "^6.2.2",
"mkdirp": "^0.5.1",
"npm-link-check": "^3.0.0",
@@ -27,7 +27,7 @@
"fork-ts-checker-webpack-plugin": "^0.5.2",
"fs-extra": "^7.0.0",
"handlebars": "^4.0.11",
"hint": "^4.3.1",
"hint": "^4.4.0",
"inquirer": "^6.2.2",
"mkdirp": "^0.5.1",
"npm-link-check": "^3.0.0",
@@ -23,7 +23,7 @@
"fork-ts-checker-webpack-plugin": "^0.5.2",
"fs-extra": "^7.0.0",
"handlebars": "^4.0.11",
"hint": "^4.3.1",
"hint": "^4.4.0",
"inquirer": "^6.2.2",
"mkdirp": "^0.5.1",
"npm-link-check": "^3.0.0",
@@ -47,7 +47,7 @@
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "^0.14.0",
"highlight.js": "^9.14.2",
"hint": "^4.3.1",
"hint": "^4.4.0",
"html-minifier": "^3.5.21",
"is-ci": "^2.0.0",
"lodash": "^4.17.11",
@@ -84,7 +84,7 @@
"main": "./dist/src/connector.js",
"name": "@hint/extension-browser",
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"private": true,
"repository": "webhintio/hint",
@@ -29,7 +29,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -21,7 +21,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -52,7 +52,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -19,7 +19,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -51,7 +51,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -25,7 +25,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -56,7 +56,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -18,7 +18,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -48,7 +48,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -23,7 +23,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -53,7 +53,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -21,7 +21,7 @@
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -51,7 +51,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -11,15 +11,15 @@
},
"description": "hint that that validates AMP HTML pages using the AMP Validator",
"devDependencies": {
"@hint/utils-tests-helpers": "^2.0.3",
"@hint/utils-tests-helpers": "^3.0.0",
"@types/amphtml-validator": "^1.0.0",
"ava": "^1.2.1",
"cpx": "^1.5.0",
"eslint": "^5.13.0",
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -47,7 +47,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -11,15 +11,15 @@
},
"description": "hint for best practices related to the apple-touch-icons",
"devDependencies": {
"@hint/utils-tests-helpers": "^2.0.3",
"@hint/utils-tests-helpers": "^3.0.0",
"@types/image-size": "^0.7.0",
"ava": "^1.2.1",
"cpx": "^1.5.0",
"eslint": "^5.13.0",
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -48,7 +48,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -11,14 +11,14 @@
},
"description": "hint that that checks using aXe for accessibility related best practices",
"devDependencies": {
"@hint/utils-tests-helpers": "^2.0.3",
"@hint/utils-tests-helpers": "^3.0.0",
"ava": "^1.2.1",
"cpx": "^1.5.0",
"eslint": "^5.13.0",
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -47,7 +47,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -9,14 +9,14 @@
"description": "hint that that checks if the Babel configuration is valid.",
"devDependencies": {
"@hint/parser-babel-config": "^2.0.2",
"@hint/utils-tests-helpers": "^2.0.3",
"@hint/utils-tests-helpers": "^3.0.0",
"ava": "^1.2.1",
"cpx": "^1.5.0",
"eslint": "^5.13.0",
"eslint-plugin-import": "^2.16.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -46,7 +46,7 @@
},
"peerDependencies": {
"@hint/parser-babel-config": "^2.0.2",
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -8,15 +8,15 @@
},
"description": "Check if button has type attribute set",
"devDependencies": {
"@hint/utils-tests-helpers": "^2.0.3",
"@hint/utils-tests-helpers": "^3.0.0",
"@types/debug": "0.0.31",
"@types/node": "10.12.18",
"ava": "^1.2.1",
"cpx": "^1.5.0",
"eslint": "^5.13.0",
"eslint-plugin-markdown": "^1.0.0-rc.0",
"eslint-plugin-typescript": "0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^13.1.0",
@@ -44,7 +44,7 @@
"extends": "../../.nycrc"
},
"peerDependencies": {
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
@@ -12,15 +12,15 @@
"description": "hint to validate if the HTML, CSS, and JavaScript APIs of the project are deprecated or not broadly supported",
"devDependencies": {
"@hint/parser-css": "^2.0.3",
"@hint/utils-tests-helpers": "^2.0.3",
"@hint/utils-tests-helpers": "^3.0.0",
"@types/debug": "0.0.31",
"@types/node": "8.0.14",
"ava": "^1.2.1",
"cpx": "^1.5.0",
"eslint": "^5.13.0",
"eslint-plugin-markdown": "^1.0.0",
"eslint-plugin-typescript": "^0.14.0",
"hint": "^4.3.1",
"hint": "^4.4.0",
"markdownlint-cli": "^0.13.0",
"npm-link-check": "^3.0.0",
"npm-run-all": "^4.1.5",
@@ -51,7 +51,7 @@
},
"peerDependencies": {
"@hint/parser-css": "^2.0.3",
"hint": "^4.3.1"
"hint": "^4.4.0"
},
"repository": "webhintio/hint",
"scripts": {
Oops, something went wrong.

0 comments on commit 32f210c

Please sign in to comment.
You can’t perform that action at this time.